[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindLeftMostKey

Find the node most left to a specified key node

## Declaration

Source position: avl_tree.pp line 152

`public function TAVLTree.FindLeftMostKey(`
`Key: Pointer;`
`const OnCompareKeyWithData: TListSortCompare`
`):TAVLTreeNode;`

## Arguments

`Key` |  | Key identifying the node where to start the search.
`OnCompareKeyWithData` |  | Callback to compare key value with data item

## Function result

The leftmost node for Key

## Description

FindLeftMostKey finds the node most left from the node associated with Key. It starts at the preceding node for Key and tries to move as far left in the tree as possible.

## See also

TAVLTree.FindLeftMost |  | Find the node most left to a specified data node
TAVLTree.FindRightMost |  | Find the node most right to a specified node
TAVLTree.FindRightMostKey |  | Find the node most right to a specified key node